.modal-nota {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.65);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.modal-nota.oculto {
  display: none;
}

.modal-nota-content {
  background: #181818;
  padding: 20px;
  border-radius: 10px;
  width: 90%;
  max-width: 420px;
  box-shadow: 0 0 20px rgba(0,0,0,0.5);
}

#modal-nota-texto {
  width: 100%;
  height: 150px;
  background: #111;
  color: #fff;
  border: 1px solid #333;
  border-radius: 6px;
  padding: 10px;
  resize: vertical;
}

.modal-nota-buttons {
  display: flex;
  justify-content: flex-end;
  gap: 10px;
  margin-top: 12px;
}

.btn-cancelar {
  background: #333;
  color: #ccc;
  padding: 8px 14px;
  border-radius: 6px;
}

.btn-guardar {
  background: #ff4b4b;
  color: white;
  padding: 8px 14px;
  border-radius: 6px;
}

/* MODAL MOSTRAR NOTA HECHA */
#modal-nota-lectura .modal-contenido {
  max-width: 380px;
  background: #1e1e1e;
  border-radius: 12px;
  padding: 20px;
  color: white;
}

.nota-lectura-texto {
  white-space: pre-wrap;
  margin: 15px 0;
  font-size: 1rem;
  line-height: 1.4;
  color: #ddd;
}

/*  */
.btn-nota {
  background: #333;
  color: #ccc;
  padding: 6px 10px;
  border-radius: 6px;
  border: none;
}

.btn-nota.nota-activa {
  background: #ff4b4b;
  color: rgb(33, 33, 33);
  font-weight: 700;
  text-transform: uppercase;
}


